<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Watch.Later - Drama</title>
<link rel="stylesheet" href="../styles.css">
</head>
<body>

<div id="custom-cursor"></div>

<div>
  <a href="../index.html" class="header-link" style="font-size:50px;font-weight:bold;width:100%;text-align:left;margin-left:10px;text-decoration:none;">Watch.Later</a>
</div>
<div>
  <i style="font-size:25px;text-align:left;margin-left:10px;margin-right:160px;">Movies you should watch, just not right now</i>
</div>
</br>


<div class="box">
  <div class="image">
    <a href="../articles/Spacehunter.html"><img src="https://m.media-amazon.com/images/M/MV5BNjFkMjhiZDEtYjg0My00MjEwLWFkODMtY2Q1MGJhYjEwN2FhXkEyXkFqcGc@._V1_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/Spacehunter.html" class="title title-link">Spacehunter: Adventures in the Forbidden Zone</a></br>
    <i>Review Published</i>: August 2024 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt0086346/" target="_blank">IMDB</a></br>
    <i>Released</i>: 1983 </br>
    <i>Runtime</i>: 1h 30m </br>
    <i>Genre</i>: <a href="../categories/sci-fi.html">Sci-Fi</a>, <a href="../categories/drama.html">Drama</a>, <a href="../categories/comedy.html">Comedy</a></br>
    <i>Country of Origin</i>: United States, Canada</br>
    <i>Language</i>: <a href="../categories/english.html">English</a></br>
    <i>Original Title</i>: Io</br>
    <i>Synopsis</i>: A spacefaring bounty hunter embarks on a mission to save three female castaways stranded on an alien planet.</br>
    <i>Watch later?</i>: If you can stand another bounty hunter with a heart of gold story, it's a good one.</br></br>
    <a href="../articles/Spacehunter.html">Read the full review...</a></br>
  </div>
</div>


<div class="box">
  <div class="image">
    <a href="../articles/Mirror.html"><img src="https://m.media-amazon.com/images/M/MV5BNzM3YjcxOGMtOGRmNi00ODMwLTgzNzQtMzE0NzEzZTQ3NzVkXkEyXkFqcGc@._V1_FMjpg_UX1000_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/Mirror.html" class="title title-link">Mirror</a></br>
    <i>Review Published</i>: April 2024 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt0072443/" target="_blank">IMDB</a>, <a href="https://www.youtube.com/watch?v=NrMINC5xjMs" target="_blank">Youtube</a></br>
    <i>Released</i>: 1975 </br>
    <i>Runtime</i>: 1h 47m </br>
    <i>Genre</i>: <a href="../categories/drama.html">Drama</a>, Biography</br>
    <i>Country of Origin</i>: Soviet Union</br>
    <i>Language</i>: <a href="../categories/russian.html">Russian</a>, Spanish</br>
    <i>Original Title</i>: Зеркало</br>
    <i>Synopsis</i>: A retrospective on the life of a Russian man around the time of World War Two in a series of recollections that mixes real events with dreams.</br>
    <i>Watch later?</i>: If you are a fan of modernist litereature.</br></br>
    <a href="../articles/Mirror.html">Read the full review...</a></br>
  </div>
</div>


<div class="box">
  <div class="image">
    <a href="../articles/Aniara.html"><img src="https://m.media-amazon.com/images/M/MV5BMjUzMzk4NDMzNV5BMl5BanBnXkFtZTgwNjE5NDY1NzM@._V1_FMjpg_UX1000_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/Aniara.html" class="title title-link">Aniara</a></br>
    <i>Review Published</i>: March 2024 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt7589524/" target="_blank">IMDB</a></br>
    <i>Released</i>: 2018 </br>
    <i>Runtime</i>: 1h 46m </br>
    <i>Genre</i>: <a href="../categories/sci-fi.html">Sci-Fi</a>, <a href="../categories/drama.html">Drama</a></br>
    <i>Country of Origin</i>: Sweden, Denmark, US</br>
    <i>Language</i>: Swedish</br>
    <i>Synopsis</i>: A shuttle bound for Mars is knocked off course, with little chance of ever returning the passengers attempt to cope with their hopeless circumstances.</br>
    <i>Watch later?</i>: Not unless you like feeling depressed.</br></br>
    <a href="../articles/Aniara.html">Read the full review...</a></br>
  </div>
</div>


<div class="box">
  <div class="image">
    <a href="../articles/Silent.Trigger.html"><img src="https://m.media-amazon.com/images/M/MV5BNjk4MzhiOWEtZTNiMS00NzM4LWI4OWQtYTQ0YzYzNDBlYmRiXkEyXkFqcGdeQXVyNzMzMjU5NDY@._V1_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/Silent.Trigger.html" class="title title-link">Silent Trigger</a></br>
    <i>Review Published</i>: April 2023 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt0117653/" target="_blank">IMDB</a> </br>
    <i>Released</i>: 1996 </br>
    <i>Runtime</i>: 1h 33m </br>
    <i>Genre</i>: <a href="../categories/suspense.html">Suspense</a>, <a href="../categories/action.html">Action</a>, <a href="../categories/drama.html">Drama</a></br>
    <i>Country of Origin</i>: United States, United Kingdom</br>
    <i>Language</i>: <a href="../categories/english.html">English</a></br>
    <i>Original Title</i>: The Algonquin Goodbye</br>
    <i>Synopsis</i>: A secret agent sniper and his spotter are reunited for a mission that could be their last.</br>
    <i>Watch later?</i>: If you like Dolph Lundgren and your gripe with the Bourne series is that it's not realistic.</br></br>
    <a href="../articles/Silent.Trigger.html">Read the full review...</a></br>
  </div>
</div>


<div class="box">
  <div class="image">
    <a href="../articles/Petey.Wheatstraw.html"><img src="https://m.media-amazon.com/images/M/MV5BMmM1MmIzNGEtNDNlZC00M2ViLWJkNTYtMGI0ZDIxMzA3ZDY4L2ltYWdlL2ltYWdlXkEyXkFqcGdeQXVyNzc5MjA3OA@@._V1_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/Petey.Wheatstraw.html" class="title title-link">Petey Wheatstraw</a></br>
    <i>Review Published</i>: March 2023 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt0078078/" target="_blank">IMDB</a> </br>
    <i>Released</i>: 1977 </br>
    <i>Runtime</i>: 1h 40m </br>
    <i>Genre</i>: <a href="../categories/comedy.html">Comedy</a>, <a href="../categories/action.html">Action</a>, <a href="../categories/drama.html">Drama</a></br>
    <i>Country of Origin</i>: United States</br>
    <i>Language</i>: <a href="../categories/english.html">English</a></br>
    <i>Original Title</i>: Petey Wheatstraw</br>
    <i>Synopsis</i>: Petey Wheatstraw makes a deal with the devil for revenge, with one condition, he has to marry the devil's daughter.</br>
    <i>Watch later?</i>: If you like black comedy, the African American kind, not the dark edgy kind.</br></br>
    <a href="../articles/Petey.Wheatstraw.html">Read the full review...</a></br>
  </div>
</div>


<div class="box">
  <div class="image">
    <a href="../articles/A.Man.from.Boulevard.des.Capucines.html"><img src="https://m.media-amazon.com/images/M/MV5BMmQ0NjYyNTUtNDlkYi00ZmJlLWEzMDAtYzEyMmMxZDYyMDAxXkEyXkFqcGdeQXVyNjExODE1MDc@._V1_QL75_UX190_CR0,11,190,281_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/A.Man.from.Boulevard.des.Capucines.html" class="title title-link">A Man from Boulevard des Capucines</a></br>
    <i>Review Published</i>: February 2023 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt0093872/" target="_blank">IMDB</a></br>
    <i>Released</i>: 1987 </br>
    <i>Runtime</i>: 1h 38m </br>
    <i>Genre</i>: <a href="../categories/drama.html">Drama</a>, <a href="../categories/comedy.html">Comedy</a></br>
    <i>Country of Origin</i>: USSR</br>
    <i>Language</i>: <a href="../categories/russian.html">Russian</a></br>
    <i>Original Title</i>: Человек с бульвара Капуцинов</br>
    <i>Synopsis</i>: A wild west town plagued by vice is visited by a gentleman who exposes them to the wonders of cinematography.</br>
    <i>Watch later?</i>: If you can handle social commentary that's a bit hokey, yes.</br></br>
    <a href="../articles/A.Man.from.Boulevard.des.Capucines.html">Read the full review...</a></br>
  </div>
</div>


<div class="box">
  <div class="image">
    <a href="../articles/Robot.Holocaust.html"><img src="https://m.media-amazon.com/images/M/MV5BMTg2MTQxMTE5NF5BMl5BanBnXkFtZTcwMDgyMTM4NA@@._V1_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/Robot.Holocaust.html" class="title title-link">Robot Holocaust</a></br>
    <i>Review Published</i>: January 2023 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt0093872/" target="_blank">IMDB</a></br>
    <i>Released</i>: 1987 </br>
    <i>Runtime</i>: 1h 19m </br>
    <i>Genre</i>: <a href="../categories/sci-fi.html">Science Fiction</a>, <a href="../categories/drama.html">Drama</a>, <a href="../categories/un_comedy.html">Comedy (Unintentional)</a></br>
    <i>Country of Origin</i>: United States, Italy</br>
    <i>Language</i>: <a href="../categories/english.html">English</a></br>
    <i>Original Title</i>: Robot Holocaust</br>
    <i>Synopsis</i>: A hero emerges from the irradiated, post-apocalyptic wasteland to find a mining colony of humans enslaved by robot overlords.</br>
    <i>Watch later?</i>: If you like the sound of campy low budget 80s post-apocalypse sci-fi, absolutely.</br></br>
    <a href="../articles/Robot.Holocaust.html">Read the full review...</a> </br>
  </div>
</div>


<div class="box">
  <div class="image">
    <a href="../articles/International.Guerillas.html"><img src="https://m.media-amazon.com/images/M/MV5BNTllYmRiMzQtOGZjNi00ZTBhLThiMmUtNDJjNDQ2N2ZmYzFlXkEyXkFqcGdeQXVyMzc0NzU5MTc@._V1_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/International.Guerillas.html" class="title title-link">International Guerillas</a></br>
    <i>Review Published</i>: November 2022 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt0251144/" target="_blank">IMDB</a>, <a href="https://www.youtube.com/watch?v=KAQlYGeprhk" target="_blank">Youtube</a></br>
    <i>Released</i>: 1990 </br>
    <i>Runtime</i>: 2h 47m </br>
    <i>Genre</i>: <a href="../categories/suspense.html">Suspense</a>, <a href="../categories/action.html">Action</a>, <a href="../categories/drama.html">Drama</a></br>
    <i>Country of Origin</i>: Pakistan</br>
    <i>Language</i>: Punjabi, Urdu</br>
    <i>Original Title</i>: International Gorillay</br>
    <i>Synopsis</i>: A trio of brothers set out on a mission to save Islam by killing the evil Salman Rushdie.</br>
    <i>Watch later?</i>: Don't wait, you should watch this right now, just be prepared for the length.</br></br>
    <a href="../articles/International.Guerillas.html">Read the full review...</a></br>
  </div>
</div>


<div class="sidebar">
  <div><a href="../categories/all.html">All</a></div>
  <div><a href="../categories/last.html">Most Recent</a></div>
  <div><b>By Genre</b></div>
  <div><a href="../categories/action.html">Action</a></div>
  <div><a href="../categories/comedy.html">Comedy</a></div>
  <div><a href="../categories/un_comedy.html">Comedy (Unintentional)</a></div>
  <div><a href="../categories/drama.html">Drama</a></div>
  <div><a href="../categories/mystery.html">Mystery</a></div>
  <div><a href="../categories/sci-fi.html">Sci-Fi</a></div>
  <div><a href="../categories/suspense.html">Suspense</a></div>
  <div><b>By Language</b></div>
  <div><a href="../categories/english.html">English</a></div>
  <div><a href="../categories/russian.html">Russian</a></div>
  <div><b>Info</b></div>
  <div><a href="../info/about.html">About</a></div>
  <div><a href="../info/contact.html">Contact</a></div>
</div>


<script>
</script>
<script src="https://ddosnotification.github.io/snow-theme/snow.js"></script>
<script src="/anicursor.js?v=1.0"></script>

</body>

</html>
